axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jim Stafford <>
Subject unable to generate in-line wsdl (AXIS-2226)
Date Tue, 28 Mar 2006 02:14:55 GMT
I am having a problem generating online WSDL from my application. It 
appears to be a similar issue that was reported in AXIS-2226 
(, except mine actually 
fails. The error reported back to the browser is

Fault - Bean attribute _value is of type java.lang.String, which is not a simple type

I traced this down the SimpleSerializer and appeared to come to the same 
conclusion that the orginal poster had; that there was a typo in one of 
the if statements. I have two primary issues/questions before moving 

a) The issue was openned in Sep, 2005 and is still unassigned. Does that 
mean that no one else is seeing the issue or that the suggested change 
would either not fix the problem or would cause other harm?

b) I am having various issues making the change myself.
b.1) I cannot seem to obtain the source from  the URL posted on the web 

cvs -d login

Logging in to
CVS password:
cvs [login aborted]: connect to 
failed: Connection refused

In the jira report, the comments indicate that subversion is being used. 
This seems inconsistent with what is on the main page; please advise.

b.2) I attempted to make the change to the src download. The archives 
built successfully with both JDK 1.4 and JDK 1.5. However, whenever I 
deploy the application with the newly compiled version, I get the 
following from my Tomcat apache-tomcat-5.5.16

Mar 27, 2006 8:47:21 PM org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive dmv3WS.war
Mar 27, 2006 8:47:22 PM org.apache.catalina.core.StandardContext start
SEVERE: Error listenerStart
Mar 27, 2006 8:47:22 PM org.apache.catalina.core.StandardContext start
SEVERE: Context [/dmv3WS] startup failed due to previous errors

All I changed was the _value if statement on line 243 of the 
SimpleSerializer, so I would think that its something else, like JDK 
versions, etc. My WSDL and web service classes are compiled with JDK 1.5.

I'm more than willing to dig in here and get this working, but I seem to 
need a jump-start.

View raw message